Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 247937 - net-analyzer/slurm: fails with forced --as-needed
Summary: net-analyzer/slurm: fails with forced --as-needed
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Netmon Herd
URL: http://www.gentoo.org/proj/en/qa/asne...
Whiteboard:
Keywords:
Depends on:
Blocks: as-needed
  Show dependency tree
 
Reported: 2008-11-21 12:25 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-06-02 11:59 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (net-analyzer:slurm-0.3.3:20081121-102024.log,15.03 KB, text/plain)
2008-11-21 12:26 UTC, Diego Elio Pettenò (RETIRED)
Details
Patch to configure.in to drop useless ncurses probes and add ncurses to LIBS instead of LDFLAGS (slurm-as-needed.patch,2.09 KB, patch)
2009-02-14 19:06 UTC, Kevin Pyle
Details | Diff
Patch to slurm-0.3.3.ebuild to use the previous patch (slurm.ebuild.patch,692 bytes, patch)
2009-02-14 19:08 UTC, Kevin Pyle
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-11-21 12:25:40 UTC
I'm reporting this bug because the package in summary fails to build when forcing --as-needed on through spec files (check out http://blog.flameeyes.eu/2008/11/14/problems-and-mitigation-strategies-for-as-needed for details).

Check the attached build log.

Thanks,
Diego
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-11-21 12:26:23 UTC
Created attachment 172676 [details]
Build log
Comment 2 Kevin Pyle 2009-02-14 19:06:11 UTC
Created attachment 182040 [details, diff]
Patch to configure.in to drop useless ncurses probes and add ncurses to LIBS instead of LDFLAGS

The upstream configure script searched for ncurses headers manually, which is not needed for Gentoo Linux, where we can assume that the headers will be in the compiler search path.  The configure script used LDFLAGS to try to link to ncurses, which caused the failure Diego reported.  Finally, the configure script discarded user LDFLAGS.  This patch fixes all those issues.  Since it touches configure.in, an autotools rebuild will be required.  I will attach the patch for that next.
Comment 3 Kevin Pyle 2009-02-14 19:08:55 UTC
Created attachment 182041 [details, diff]
Patch to slurm-0.3.3.ebuild to use the previous patch

This patch adds an explicit src_unpack to slurm-0.3.3.ebuild to use the patch in attachment #182040 [details, diff] and then rebuild the autotools files.  Since bug #255671 reports that maintainer mode was being triggered, this patch opts to use eautoreconf to fix that as well, rather than only doing eautoconf to pick up the changes to configure.in.
Comment 4 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-02 11:59:08 UTC
Thanks Kevin, fixed now.